[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtons.FindButton

Gets the button item in the collection with the specified modal result value.

## Declaration

Source position: dialogs.pp line 668

`public function TTaskDialogButtons.FindButton(`
`AModalResult: TModalResult`
`):TTaskDialogBaseButtonItem;`

## Arguments

`AModalResult` |  | Modal result value to locate in the button items for the collection.

## Function result

TTaskDialogBaseButtonItem instance with the specified modal result value.

## Description

FindButton enumerates values in the Items property to find the first button using the modal result value in AModalResult. The return value is Nil if a button using the modal result value is not found.

## See also

TTaskDialogButtons.Items |  | Provides indexed access to buttons defined in the collection.
TTaskDialogBaseButtonItem |  | Defines the base class for a custom button displayed on a Task dialog.